Only in webkitgtk-2.38.4.glib244: a
diff -urp webkitgtk-2.38.4.glib/Source/cmake/FindGI.cmake webkitgtk-2.38.4.glib244/Source/cmake/FindGI.cmake
--- webkitgtk-2.38.4.glib/Source/cmake/FindGI.cmake	2023-01-26 04:04:20.617561800 -0600
+++ webkitgtk-2.38.4.glib244/Source/cmake/FindGI.cmake	2023-02-07 15:09:39.718503042 -0600
@@ -334,6 +334,13 @@ function(GI_INTROSPECT namespace nsversi
     # Generate .gir
     set(target_def "$<TARGET_PROPERTY:${opt_TARGET},COMPILE_DEFINITIONS>")
     set(target_inc "$<TARGET_PROPERTY:${opt_TARGET},INTERFACE_INCLUDE_DIRECTORIES>")
+    set(PREV_LOADER_LIBRARY_PATH "$ENV{LD_LIBRARY_PATH}")
+    string(COMPARE EQUAL "${PREV_LOADER_LIBRARY_PATH}" "" ld_library_path_does_not_exist)
+    if (ld_library_path_does_not_exist)
+        set(INTROSPECTION_ADDITIONAL_LIBRARY_PATH "${CMAKE_LIBRARY_OUTPUT_DIRECTORY}")
+    else ()
+        set(INTROSPECTION_ADDITIONAL_LIBRARY_PATH "${CMAKE_LIBRARY_OUTPUT_DIRECTORY}:${PREV_LOADER_LIBRARY_PATH}")
+    endif ()
     add_custom_command(
         OUTPUT "${gir_path}"
         COMMENT "Generating ${gir_name}.gir"
@@ -342,6 +349,7 @@ function(GI_INTROSPECT namespace nsversi
         VERBATIM
         COMMAND_EXPAND_LISTS
         COMMAND ${CMAKE_COMMAND} -E env "CC=${CMAKE_C_COMPILER}" "CFLAGS=${CMAKE_C_FLAGS}"
+            "LD_LIBRARY_PATH=${INTROSPECTION_ADDITIONAL_LIBRARY_PATH}"
             "${GI_SCANNER_EXE}" --quiet --warn-all --warn-error --no-libtool
             "--output=${gir_path}"
             "--library=$<TARGET_FILE_BASE_NAME:${opt_TARGET}>"
Only in webkitgtk-2.38.4.glib/Source/cmake: OptionsGTK.cmake.orig
Only in webkitgtk-2.38.4.glib/Source/WebCore/platform/graphics/gstreamer: MediaPlayerPrivateGStreamer.cpp.orig
diff -urp webkitgtk-2.38.4.glib/Source/WebKit/InspectorGResources.cmake webkitgtk-2.38.4.glib244/Source/WebKit/InspectorGResources.cmake
--- webkitgtk-2.38.4.glib/Source/WebKit/InspectorGResources.cmake	2022-09-20 03:13:49.267215000 -0500
+++ webkitgtk-2.38.4.glib244/Source/WebKit/InspectorGResources.cmake	2023-02-07 15:07:19.421762134 -0600
@@ -12,7 +12,7 @@ macro(WEBKIT_BUILD_INSPECTOR_GRESOURCES
         OUTPUT ${_derived_sources_dir}/InspectorGResourceBundle.c ${_derived_sources_dir}/InspectorGResourceBundle.deps
         DEPENDS ${_derived_sources_dir}/InspectorGResourceBundle.xml
         DEPFILE {_derived_sources_dir}/InspectorGResourceBundle.deps
-        COMMAND glib-compile-resources --generate --sourcedir=${_derived_sources_dir}/InspectorResources/WebInspectorUI --target=${_derived_sources_dir}/InspectorGResourceBundle.c --dependency-file=${_derived_sources_dir}/InspectorGResourceBundle.deps ${_derived_sources_dir}/InspectorGResourceBundle.xml
+        COMMAND glib-compile-resources --generate --sourcedir=${_derived_sources_dir}/InspectorResources/WebInspectorUI --target=${_derived_sources_dir}/InspectorGResourceBundle.c ${_derived_sources_dir}/InspectorGResourceBundle.xml
         VERBATIM
     )
 endmacro()
diff -urp webkitgtk-2.38.4.glib/Source/WebKit/ModernMediaControlsGResources.cmake webkitgtk-2.38.4.glib244/Source/WebKit/ModernMediaControlsGResources.cmake
--- webkitgtk-2.38.4.glib/Source/WebKit/ModernMediaControlsGResources.cmake	2022-09-20 03:13:49.267215000 -0500
+++ webkitgtk-2.38.4.glib244/Source/WebKit/ModernMediaControlsGResources.cmake	2023-02-07 15:07:19.421762134 -0600
@@ -11,7 +11,7 @@ macro(WEBKIT_BUILD_MODERN_MEDIA_CONTROLS
         OUTPUT ${_derived_sources_dir}/ModernMediaControlsGResourceBundle.c ${_derived_sources_dir}/ModernMediaControlsGResourceBundle.deps
         DEPENDS ${_derived_sources_dir}/ModernMediaControlsGResourceBundle.xml
         DEPFILE {_derived_sources_dir}/ModernMediaControlsGResourceBundle.deps
-        COMMAND glib-compile-resources --generate --sourcedir=${WEBCORE_DIR}/Modules/modern-media-controls/images/adwaita --target=${_derived_sources_dir}/ModernMediaControlsGResourceBundle.c --dependency-file=${_derived_sources_dir}/ModernMediaControlsGResourceBundle.deps ${_derived_sources_dir}/ModernMediaControlsGResourceBundle.xml
+        COMMAND glib-compile-resources --generate --sourcedir=${WEBCORE_DIR}/Modules/modern-media-controls/images/adwaita --target=${_derived_sources_dir}/ModernMediaControlsGResourceBundle.c ${_derived_sources_dir}/ModernMediaControlsGResourceBundle.xml
         VERBATIM
     )
 endmacro()
diff -urp webkitgtk-2.38.4.glib/Source/WebKit/PdfJSGResources.cmake webkitgtk-2.38.4.glib244/Source/WebKit/PdfJSGResources.cmake
--- webkitgtk-2.38.4.glib/Source/WebKit/PdfJSGResources.cmake	2022-09-28 03:46:15.690651700 -0500
+++ webkitgtk-2.38.4.glib244/Source/WebKit/PdfJSGResources.cmake	2023-02-07 15:07:19.421762134 -0600
@@ -14,7 +14,7 @@ macro(WEBKIT_BUILD_PDFJS_GRESOURCES _der
         OUTPUT ${_derived_sources_dir}/PdfJSGResourceBundle.c ${_derived_sources_dir}/PdfJSGResourceBundle.deps
         DEPENDS ${_derived_sources_dir}/PdfJSGResourceBundle.xml
         DEPFILE ${_derived_sources_dir}/PdfJSGResourceBundle.deps
-        COMMAND glib-compile-resources --generate --sourcedir=${THIRDPARTY_DIR}/pdfjs --target=${_derived_sources_dir}/PdfJSGResourceBundle.c --dependency-file=${_derived_sources_dir}/PdfJSGResourceBundle.deps ${_derived_sources_dir}/PdfJSGResourceBundle.xml
+        COMMAND glib-compile-resources --generate --sourcedir=${THIRDPARTY_DIR}/pdfjs --target=${_derived_sources_dir}/PdfJSGResourceBundle.c ${_derived_sources_dir}/PdfJSGResourceBundle.xml
         VERBATIM
     )
 
diff -urp webkitgtk-2.38.4.glib/Source/WebKit/PlatformGTK.cmake webkitgtk-2.38.4.glib244/Source/WebKit/PlatformGTK.cmake
--- webkitgtk-2.38.4.glib/Source/WebKit/PlatformGTK.cmake	2023-02-07 12:49:49.918206943 -0600
+++ webkitgtk-2.38.4.glib244/Source/WebKit/PlatformGTK.cmake	2023-02-07 15:07:19.421762134 -0600
@@ -606,7 +606,7 @@ add_custom_command(
     OUTPUT ${WebKit2Gtk_DERIVED_SOURCES_DIR}/WebKitResourcesGResourceBundle.c ${WebKit2Gtk_DERIVED_SOURCES_DIR}/WebKitResourcesGResourceBundle.deps
     DEPENDS ${WebKit2Gtk_DERIVED_SOURCES_DIR}/WebKitResourcesGResourceBundle.xml
     DEPFILE ${WebKit2Gtk_DERIVED_SOURCES_DIR}/WebKitResourcesGResourceBundle.deps
-    COMMAND glib-compile-resources --generate --sourcedir=${CMAKE_SOURCE_DIR}/Source/WebCore/Resources --sourcedir=${CMAKE_SOURCE_DIR}/Source/WebCore/platform/audio/resources --sourcedir=${CMAKE_SOURCE_DIR}/Source/WebKit/Resources/gtk --target=${WebKit2Gtk_DERIVED_SOURCES_DIR}/WebKitResourcesGResourceBundle.c --dependency-file=${WebKit2Gtk_DERIVED_SOURCES_DIR}/WebKitResourcesGResourceBundle.deps ${WebKit2Gtk_DERIVED_SOURCES_DIR}/WebKitResourcesGResourceBundle.xml
+    COMMAND glib-compile-resources --generate --sourcedir=${CMAKE_SOURCE_DIR}/Source/WebCore/Resources --sourcedir=${CMAKE_SOURCE_DIR}/Source/WebCore/platform/audio/resources --sourcedir=${CMAKE_SOURCE_DIR}/Source/WebKit/Resources/gtk --target=${WebKit2Gtk_DERIVED_SOURCES_DIR}/WebKitResourcesGResourceBundle.c ${WebKit2Gtk_DERIVED_SOURCES_DIR}/WebKitResourcesGResourceBundle.xml
     VERBATIM
 )
 
diff -urp webkitgtk-2.38.4.glib/Tools/glib/generate-modern-media-controls-gresource-manifest.py webkitgtk-2.38.4.glib244/Tools/glib/generate-modern-media-controls-gresource-manifest.py
--- webkitgtk-2.38.4.glib/Tools/glib/generate-modern-media-controls-gresource-manifest.py	2022-09-20 03:13:50.733872000 -0500
+++ webkitgtk-2.38.4.glib244/Tools/glib/generate-modern-media-controls-gresource-manifest.py	2023-02-07 15:07:19.421762134 -0600
@@ -54,7 +54,7 @@ if __name__ == "__main__":
         extra_attributes = ""
         if extension == "svg":
             extra_attributes = 'preprocess="xml-stripblanks"'
-        args.output.write(f'{indent}<file compressed="true" {extra_attributes} alias="{alias}">{path}</file>\n')
+        args.output.write(indent + '<file compressed="true" ' + extra_attributes + ' alias="' + alias + '">' + path + '</file>\n')
 
     args.output.write("""    </gresource>
 </gresources>
